=== debian/control ===
Source: ros-indigo-gazebo-grasp-plugin
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gazebo2, ros-indigo-catkin, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-gazebo-grasp-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo2, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Gazebo Model plugin(s) which handle/help grasping in Gazebo.
